import { Base, Type } from "igniteui-webcomponents-core";
import { Worksheet } from "igniteui-webcomponents-excel";
import { Workbook } from "igniteui-webcomponents-excel";
import { IWorksheetRegionAddressContext } from "igniteui-webcomponents-excel";
import { IChartObject } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class SpreadsheetChartDataInfo extends Base {
    static $t: Type;
    private c;
    private readonly b;
    private readonly g;
    private readonly h;
    constructor(a: Workbook);
    readonly d: boolean;
    readonly e: boolean;
    private i;
    j(): void;
    k(a: Worksheet, b: number, c: number): void;
    l(): void;
    m(a: Worksheet, b: IWorksheetRegionAddressContext): void;
    private a;
    f(a: IChartObject): boolean;
    private n;
}
